Package Details: libosmo-abis-git 0.6.0.r2.g3a2aa09-1

Git Clone URL: https://aur.archlinux.org/libosmo-abis-git.git (read-only, click to copy)
Package Base: libosmo-abis-git
Description: This is the A-bis interface library as used by OsmoBSC/OsmoNITB
Upstream URL: https://osmocom.org/projects/libosmo-abis
Licenses: GPL
Conflicts: libosmo-abis
Provides: libosmo-abis
Submitter: Miegl
Maintainer: Miegl
Last Packager: Miegl
Votes: 0
Popularity: 0.000000
First Submitted: 2019-02-06 17:05
Last Updated: 2019-02-13 19:23

Dependencies (4)

Required by (9)

Sources (1)

Latest Comments

Andy2 commented on 2021-01-03 15:28

The build fails right now because libosmo-abis is built with DAHDI support by default which isn't usually installed. I wasn't able to find a package that provides it without a huge hassle because DAHDI requires out-of-tree kernel drivers. It can be disabled by passing --disable-dahdi to configure.

Current configure output for reference:

checking for dahdi/user.h... no
configure: error: DAHDI input driver enabled but DAHDI not found
==> ERROR: A failure occurred in build().
    Aborting...
error making: libosmo-abis-git